[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_mmt' (#crwlib)

# TmmTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_mmt.pas line 46

`type TmmTimer = class(TLatch)`
`protected`
`myPolling: TPolling;`
`myPeriods: PtrInt;`
`myEvents: PtrInt;`
`function timeBeginPeriod();`
`function timeEndPeriod();`
`function timeSetEvent();`
`function timeKillEvent();`
`public`
`class function DefaultPriority;`
`class procedure SetDefaultPriority();`
`constructor Create;`
`destructor Destroy; override;`
`function Add();`
`procedure Remove();`
`property Timer: PtrUInt; [r]`
`property Period: PtrUInt; [rw]`
`property Counter: PtrUInt; [r]`
`property ThreadId: PtrUInt; [r]`
`end;`

## Inheritance

`TmmTimer`
`TLatch`
`TMasterObject`
`TObject`